Class | XSD::XSDDecimal
In: | xsd/datatypes.rb
Parent: | XSDAnySimpleType

### Methods

new nonzero?

### Constants

Type | = | QName.new(Namespace, DecimalLiteral)

### Public Class methods

new(value = nil)

[Source]

    # File xsd/datatypes.rb, line 232
      def initialize(value = nil)
        init(Type, value)
      end

### Public Instance methods

nonzero?()

[Source]

    # File xsd/datatypes.rb, line 236
      def nonzero?
        (@number != '0')
      end

[Validate]